mesa-git/main.sh

40 lines
1.3 KiB
Bash
Raw Permalink Normal View History

2023-08-07 20:09:20 +02:00
#! /bin/bash
2024-07-29 17:38:10 +02:00
2023-08-07 20:09:20 +02:00
set -e
2024-07-29 17:38:10 +02:00
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
2024-08-11 02:31:47 +02:00
VERSION="24.4"
2024-07-29 17:38:10 +02:00
2024-09-17 18:21:31 +02:00
# TEMP I386 SPECFIC FIX
if [[ "$PIKA_BUILD_ARCH" == "i386" ]]
then
2024-09-17 18:36:06 +02:00
wget http://ftp.us.debian.org/debian/pool/main/s/spirv-llvm-translator-18/libllvmspirvlib18.1_18.1.4-1_i386.deb -O ./32bit-spirv.deb
wget http://ftp.us.debian.org/debian/pool/main/s/spirv-llvm-translator-18/libllvmspirvlib-18-dev_18.1.4-1_i386.deb -O ./32bit-spirv-dev.deb
apt install -y ./32bit-spirv-dev.deb ./32bit-spirv.deb
2024-09-17 18:21:31 +02:00
fi
#
2023-08-07 18:05:10 +02:00
# Clone Upstream
2024-07-29 17:38:10 +02:00
git clone https://gitlab.freedesktop.org/mesa/mesa mesa-git
2023-08-11 17:20:02 +02:00
cp -rvf ./debian ./mesa-git/
2023-08-11 18:20:37 +02:00
cd ./mesa-git
2024-07-29 17:38:10 +02:00
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
2023-08-11 18:55:38 +02:00
sed -i ' 1 s/.*/& - PikaOS YellowBirb Mesa Git /' ./VERSION
2023-08-07 19:12:07 +02:00
touch debian/changelog
2024-08-11 22:23:02 +02:00
echo -e "mesa-git ($VERSION."$(date '+%Y%m%d')".git."$(git rev-parse --short HEAD)") pika; urgency=medium\n\n * New GIT Release\n\n -- Ward Nakchbandi <hotrod.master@hotmail.com> Sat, 01 Oct 2022 14:50:00 +0200" > debian/changelog
2023-08-07 18:05:10 +02:00
# Get build deps
apt-get build-dep ./ -y
# Build package
2024-08-11 22:23:02 +02:00
#LOGNAME=root dh_make --createorig -y -l -p mesa-git_"$VERSION" || echo "dh-make: Ignoring Last Error"
2023-08-07 18:05:10 +02:00
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
2023-08-11 18:55:38 +02:00
mv ./*.deb ./output/